Subscribe customer to plan

Creates a new order for a customer subscribing to a plan. The order will be created with the plan's products and pricing attributes.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

planIdstringRequiredformat: "uuid"
The ID of the plan

Query parameters

customerExternalIdstringRequired
The external ID of the customer
currencystringRequired

The currency code for the order (e.g., “USD”, “EUR”)

Response

Customer subscribed to plan successfully
idstringOptional
namestringOptional
descriptionstringOptional
customerIdstringOptional
organizationIdstringOptional
startDatestringOptional
endDatestringOptional
totalAmountdoubleOptional
estimatedTaxdoubleOptional
billedAmountNoTaxdoubleOptional
billedTaxdoubleOptional
totalBilledAmountdoubleOptional
pendingBillingAmountdoubleOptional
creationStateenumOptional
orderLineslist of objectsOptional
customerobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error